<div class="row mb-3 align-items-center justify-content-between">
  <div class="col-md-auto col-sm-auto">
    <div class="section-title">
      <h2>{{'USERS' | translate}}</h2>
    </div>
  </div>
  <div class="col-md-auto col-sm-auto">
    <h4 class="widget-title">
      <button *hasClaim="'user_create_user'" class="btn btn-success2 btn-sm m-right-10" [routerLink]="['/users/manage']">
        <i class="las la-plus"></i> {{'ADD_USER' | translate}} </button>
    </h4>
  </div>
</div>

<div class="mat-elevation-z8">
  <div class="loading-shade" *ngIf="isLoadingResults">
    <mat-spinner *ngIf="isLoadingResults"></mat-spinner>
  </div>
  <div class="table-container">
    <table mat-table [dataSource]="allUsers" class="mat-elevation-z8">
      <ng-container matColumnDef="action">
        <th mat-header-cell *matHeaderCellDef>
          <span> {{'ACTION' | translate}} </span>
        </th>
        <td mat-cell *matCellDef="let user">
          <button class="btn btn-sm btn-primary" [matMenuTriggerFor]="menu" aria-label="Action" [disabled]="user.email === 'guest@mail.com'">
            <i class="las la-ellipsis-v"></i>
          </button>
          <mat-menu #menu="matMenu">
            <button mat-menu-item class="btn btn-light btn-sm" *hasClaim="'user_edit_user'" (click)="editUser(user.id)">
              <mat-icon>edit</mat-icon>
              {{'EDIT' | translate}}
            </button>
            <button class="btn btn-light btn-sm" *hasClaim="'user_delete_user'" mat-menu-item
              (click)="deleteUser(user)">
              <mat-icon>delete</mat-icon>
              {{'DELETE' | translate}}
            </button>
            <button class="btn btn-light btn-sm" *hasClaim="'user_assign_permission'" mat-menu-item
              (click)="userPermission(user.id)">
              <mat-icon>people</mat-icon>
              {{'PERMISSION' | translate}}
            </button>
            <button class="btn btn-light btn-sm" *hasClaim="'user_reset_password'" mat-menu-item
              (click)="resetPassword(user)">
              <mat-icon>key</mat-icon>
              {{'RESET_PASSWORD' | translate}}
            </button>
          </mat-menu>
        </td>
      </ng-container>
      <ng-container matColumnDef="email">
        <th mat-header-cell *matHeaderCellDef> {{'EMAIL' | translate}} </th>
        <td mat-cell *matCellDef="let user"> {{user.email}} </td>
      </ng-container>
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef> {{'NAME' | translate}} </th>
        <td mat-cell *matCellDef="let user"> {{user.name}} </td>
      </ng-container>
      <ng-container matColumnDef="companyName">
        <th mat-header-cell *matHeaderCellDef> {{'COMPANY_NAME' | translate}} </th>
        <td mat-cell *matCellDef="let user"> {{user.companyName || "-"}} </td>
      </ng-container>
      <ng-container matColumnDef="clientType">
        <th mat-header-cell *matHeaderCellDef> {{'CLIENT_TYPE' | translate}} </th>
        <td mat-cell *matCellDef="let user"> {{user.clientType || "-"}} </td>
      </ng-container>
      <ng-container matColumnDef="accManager">
        <th mat-header-cell *matHeaderCellDef> {{'ACCOUNT_MANAGER' | translate}} </th>
        <td mat-cell *matCellDef="let user"> {{user.accManager || "-"}} </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns;sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </div>
</div>
